BizKitHub
DocsAPI ReferenceLedger/bff/ledger/settings/entity/regime-add
postLedgerAdmin BFF

/bff/ledger/settings/entity/regime-add

Add an effective-dated regime change

LedgerpostBffLedgerSettingsEntityRegime-add

Parameters

JSON body

Request body

application/json
entityIdstringRequired

Accounting entity external id.

Length: 16–24
effectiveFromstringRequired
Example2026-01-01
notestring | nullOptional
One of 2:
Variant 1
string
Length: 0–2000
Variant 2
null
mode"double_entry" | "tax_evidence" | "none"Required
framework"cz_500" | "cz_504"Required
vatStatus"payer" | "identified_person" | "non_payer"Required
vatPeriod"month" | "quarter" | "none"Required
ossRegisteredbooleanRequired

Response schema

1 status code documented

200Success
successbooleanRequired
idnumberRequired

Response example

application/json
{
  "success": false,
  "id": 0
}

Request example

POST /bff/ledger/settings/entity/regime-add

post
curl -X POST "https://api.bizkithub.com/bff/ledger/settings/entity/regime-add" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "entityId": "example_entityId",
  "effectiveFrom": "2026-01-01",
  "ossRegistered": false
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key